[openssh-commits] [openssh] 01/02: Skip scp3 test if there's no scp on remote path.

git+noreply at mindrot.org git+noreply at mindrot.org
Sat Jul 23 21:17:07 AEST 2022


This is an automated email from the git hooks/post-receive script.

dtucker pushed a commit to branch master
in repository openssh.

commit ea7ecc2c3ae39fdf5c6ad97b7bc0b47a98847f43
Author: Darren Tucker <dtucker at dtucker.net>
Date:   Sat Jul 23 14:36:38 2022 +1000

    Skip scp3 test if there's no scp on remote path.
    
    scp -3 ends up using the scp that's in the remote path and will fail if
    one is not available.  Based on a patch from rapier at psc.edu.
---
 regress/scp3.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/regress/scp3.sh b/regress/scp3.sh
index f71b1567..47db47cd 100644
--- a/regress/scp3.sh
+++ b/regress/scp3.sh
@@ -9,6 +9,12 @@ COPY2=${OBJ}/copy2
 DIR=${COPY}.dd
 DIR2=${COPY}.dd2
 
+$SSH -F $OBJ/ssh_proxy somehost \
+    'IFS=":"; for i in $PATH;do [ -x "$i/scp" ] && exit 0; done; exit 1'
+if [ $? -eq 1 ]; then
+	skip "No scp on remote path."
+fi
+
 SRC=`dirname ${SCRIPT}`
 cp ${SRC}/scp-ssh-wrapper.sh ${OBJ}/scp-ssh-wrapper.scp
 chmod 755 ${OBJ}/scp-ssh-wrapper.scp

-- 
To stop receiving notification emails like this one, please contact
djm at mindrot.org.


More information about the openssh-commits mailing list